View Issue Details

IDProjectCategoryView StatusLast Update
13450Bug reports[All Projects] _ Unknownpublic2018-03-09 16:36
ReporterJamesHarrisHKIAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4.x 
Summary13450: DateTimePicker interface design problem
Description

There is a two-part bug in the DateTimePicker. I have created http://uksurveys.hkipop.com/index.php/114454?newtest=Y&lang=en to demonstrate; this survey consists solely of two identical DateTimePickers.

Bug A: The two DateTimePickers were created identically, but when you click the Calendar button for them on the survey they look different. The first one shows a calendar with a small clock icon underneath; the second one shows a calendar side-by-side with a large, adjustable digital clock. Two questions created the same way should behave consistently.

Bug B: It's not obvious that the small clock icon under the first calendar is in fact a button that leads to the other half of the DateTimePicker. I spent nearly a month working sporadically on bug 13322 before I realized the first DateTimePicker had another side. If you're going to hide half of the DateTimePicker interface behind a button, it must be obvious that it is a button, and the button should be clearly labeled.

Steps To Reproduce
  1. Create a new survey.
  2. Create a question group.
  3. Create a new question. Under "Question Type" on the right, select "Mask questions -> Date/Time (type code: D)". Under "Input -> Date/Time Format", type "dd/mm/yyyy HH:MM".
  4. Repeat step 3.
  5. Preview survey. Click "Next".
  6. Click the calendar button next to the first question. You get a calendar-style date picker with a clock icon underneath.
  7. Click the calendar button next to the second question. You get a calendar-style date picker and also a time selector.
Additional Information

I can see two ways you could resolve this bug:

1) Remove the toggle button and the "compact" state. Always show the DatePicker and TimePicker side by side in the DateTimePicker.
2) Label the state-change button "Choose a time"/"Choose a date" to fix the second bug. To fix the first bug, give survey creators a way to choose what the picker will look like.

Personally I prefer method 1 for its simplicity. I don't see a good reason why half of the DateTimePicker interface should be hidden behind a toggle button.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.4.3+180227
I will donate to the project if issue is resolvedNo
BrowserFirefox and Chrome
Database & DB-Version347
Server OS (if known)Windows Server 2008
Webserver software & version (if known)Apache/2.4.23 (Win64)
PHP Version7.0.9

Activities

JamesHarrisHKI

JamesHarrisHKI

2018-03-05 18:50

reporter  

limesurvey_survey_114454.lss (13,310 bytes)
survey_archive_114454.lsa (4,605 bytes)
DateTime-1.png (59,837 bytes)
DateTime-1.png (59,837 bytes)
DateTime-2.png (57,894 bytes)
DateTime-2.png (57,894 bytes)
markusfluer

markusfluer

2018-03-06 11:19

administrator   ~46916

Fixed using option 1, always forcing side by side view if a time is defined in the format

c_schmitz

c_schmitz

2018-03-09 16:36

administrator   ~46989

Version 3.5.0 180309 released

Issue History

Date Modified Username Field Change
2018-03-05 18:50 JamesHarrisHKI New Issue
2018-03-05 18:50 JamesHarrisHKI File Added: limesurvey_survey_114454.lss
2018-03-05 18:50 JamesHarrisHKI File Added: survey_archive_114454.lsa
2018-03-05 18:50 JamesHarrisHKI File Added: DateTime-1.png
2018-03-05 18:50 JamesHarrisHKI File Added: DateTime-2.png
2018-03-06 11:19 markusfluer Note Added: 46916
2018-03-06 12:32 markusfluer Assigned To => markusfluer
2018-03-06 12:32 markusfluer Status new => resolved
2018-03-06 12:32 markusfluer Resolution open => fixed
2018-03-06 12:32 markusfluer Fixed in Version => 3.4.x
2018-03-09 16:36 c_schmitz Note Added: 46989
2018-03-09 16:36 c_schmitz Status resolved => closed